%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           id3-py
Version:        1.2
Release:        7
Summary:        Python ID3 tag library

Group:          Development/Libraries
License:        GPL
URL:            http://id3-py.sourceforge.net/
Source0:        http://download.sourceforge.net/id3-py/id3-py_1.2.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel
Requires:   python-abi = %(%{__python} -c "import sys ; print sys.version[:3]")

%description
This is a simple Python module for retrieving and setting so-called
ID3 tags on audio files through an object-oriented interface.  Players
generally use this simple information for display track title, artist
name, and album title while playing the sound file.


%prep
%setup -q


%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc CHANGES COPYING README
%{python_sitelib}/ID3.py
%{python_sitelib}/ID3.pyc
%ghost %{python_sitelib}/ID3.pyo


%changelog
* Wed Mar 30 2005 Ville Skyttä <ville.skytta at iki.fi> - 1.2-7
- Rebuild with Python 2.4.

* Thu Dec 16 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:1.2-6
- Sync with Python spec template from fedora-rpmdevtools.
- Improve description.

* Wed Oct 15 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.2-0.fdr.5
- Fix Python version requirements.

* Sun Aug 24 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.2-0.fdr.4
- Do %%ghost files manually.

* Mon Jul 28 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.2-0.fdr.3
- Use fedora-rpm-helper to find compiled %%ghost files.

* Sat Jul 26 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.2-0.fdr.2
- Use --root $RPM_BUILD_ROOT instead of --prefix $RPM_BUILD_ROOT%%{_prefix}.

* Fri Jun 27 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:1.2-0.fdr.1
- First build.
